\name{LoadDataFile}
\alias{LoadDataFile}
\title{
  Load Data From File Into Environment
}
\description{
  This function loads into the environment specified as parameter the data corresponding to the current file (filename variable), regrids it if needed and puts it in the internal common format in the variable named tmp.
}
\usage{
  LoadDataFile(environment)
}
\arguments{
  \item{environment}{
    Environment to be extended.
  }
}
\value{
  Extended environment with some updated variables:
  - argfiles
  - filename
  - grid
  - lon
  - lat
  - tmp
  - lat_mod
  - lon_mod
  - nmemb
}
\examples{
  LoadDataFile('exp', environment())
}
\author{
  History:
  0.1  -  2015-01  (N. Manubens, \email{nicolau.manubens@ic3.cat})  -  First version
}
\keyword{datagen}
